#ifndef GUARD_TDCANVMAN
#define GUARD_TDCANVMAN
#include <vector>
#include "TH1.h"
#include <iostream>
#include <string>
//#include "TFile.h"
#include "TCanvas.h"
#include <TPostScript.h>
//#include <TCanvas.h>
#include <TStyle.h>
#include "TProfile.h"
#include "TROOT.h"
//#endif

class TDCanvMan
{
  public:
    //constructors
    //TDCanvMan(const TDCanvMan& rhs);
    TDCanvMan();
    TDCanvMan(const char * FileName,
	      const char * Desc);
    ~TDCanvMan();

    //copy management functions
    //void swap(TDCanvMan& rhs);
    //TDCanvMan* clone();
    //TDCanvMan& operator=(const TDCanvMan& rhs);
    //no use for these as yet
     
    //other functions
    void NextCanvasSlot();
    void SetCanvsStyle();    
    
    //accessors
    const char * GetFileName             ()                         {return _FileName.c_str();          }
    const char * GetDesc                 ()                         {return _Desc.c_str();              }
    int          GetCanvPos              ()                         {return _CanvPos;                   }
    void         SetFileName             (const char * FileName)    {_FileName        =FileName;}
    void         SetDesc                 (const char * DescIn)      {_Desc            =DescIn  ;}
    void         SetCanvPos              (int          CanvPos)     {_CanvPos         =CanvPos ;}
    
  protected:
    std::string   _FileName;// this s the filename to be printed to
                  
    std::string   _Desc;  //this is incase a Desc for root is wanted to be set.
    TCanvas *     _c1;      //this is the core datamember to be managed
    int           _CanvPos; //this will direct Root to which pad should be chosen
    //int           _Orientation; //0=portrait (default), 1=landscape (to be implemented)should be enum
    int           _PadWidth;//Setability to be implemented - for dividing the page up.
    int           _PadHeight;
    TStyle *      _MyStyle;
};
#endif
